Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158671 - CAN-2004-1009 Multiple mc issues (CAN-2004-1090 CAN-2004-1091 CAN-2004-1093 CAN-2004-1174 CAN-2004-1175 CAN-2005-0763)
Summary: CAN-2004-1009 Multiple mc issues (CAN-2004-1090 CAN-2004-1091 CAN-2004-1093 C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mc
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Jay Turner
URL:
Whiteboard:
: 153983 153985 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 18:53 UTC by Josh Bressers
Modified: 2015-01-08 00:10 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-512
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-16 17:44:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:512 normal SHIPPED_LIVE Moderate: mc security update 2005-06-16 04:00:00 UTC

Description Josh Bressers 2005-05-24 18:53:34 UTC
During the FC4 security audit, we came across a number of mc issues that have
not been fixed. The CVE id's in the Summary is all we know at the moment.

Jindrich, what do you think will be the easiest way to fix all these?

Comment 1 Jindrich Novy 2005-05-25 09:02:45 UTC
Hello Josh,

There's Fedora Legacy bug 152889, where some things related to these issues are
discussed and some of the patches might be ported to our RHEL-2.1 mc. I'm not
sure at the moment whether all the fixes are incorporated there. I'll have a
closer look into this.

Comment 2 Jindrich Novy 2005-05-25 09:07:34 UTC
*** Bug 153985 has been marked as a duplicate of this bug. ***

Comment 3 Jindrich Novy 2005-06-09 07:39:24 UTC
Josh,

I backported fixes for CAN-2004-1009, CAN-2004-1090, CAN-2004-1091,
CAN-2004-1093, CAN-2004-1174, CAN-2004-1175, CAN-2005-0763 from
Debian and Fedora Legacy, the mc-4.5.51 is not vulnerable to CAN-2004-1176.


Comment 4 Josh Bressers 2005-06-09 12:44:55 UTC
What about CAN-2004-1092

Additionally, does this overlap with bug 127974

Comment 5 Jindrich Novy 2005-06-09 13:46:34 UTC
Nope, mc-4.5.51 isn't vulnerable to CAN-2004-1092 as the patch for this contains
fix of invalid check of savename in gtkedit/editcmd.c what is correct in this
version.

Comment 6 Josh Bressers 2005-06-16 17:45:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-512.html


Comment 7 Josh Bressers 2005-06-17 01:47:06 UTC
*** Bug 153983 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.